DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
FGCTXRayDetails::FGCTXRayDetailsItem Class Reference

Class representing the "CT X-Ray Details" Functional Group Macro. More...

## Public Member Functions
| FGCTXRayDetailsItem ()
| Constructor, creates empty functional group.
virtual | ~FGCTXRayDetailsItem ()
| Virtual destructor.
virtual FGCTXRayDetailsItem * | clone () const
| Returns a deep copy of this object. More...
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether the current content of this group is consistent and complete. More...
virtual OFCondition | read (DcmItem &item)
| Read CT X-Ray Details Sequence item from given item. More...
virtual OFCondition | write (DcmItem &item)
| Writes the content of this class into CT X-Ray Details Sequence item given item. More...
virtual int | compare (const FGCTXRayDetailsItem &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. More...
virtual OFCondition | getReferencedPathIndex (OFString &value, const signed long pos=0)
| Get Referenced Path Index. More...
virtual OFCondition | getReferencedPathIndex (OFVector< Uint16 > &values)
| Get Referenced Path Index. More...
virtual OFCondition | getKVP (OFString &value, const signed long pos=0)
| Get KVP. More...
virtual OFCondition | getKVP (Float64 &value, const unsigned long pos=0)
| Get KVP. More...
virtual OFCondition | getFocalSpots (OFString &value, const signed long pos=0)
| Get Focal Spots. More...
virtual OFCondition | getFocalSpots (OFVector< Float64 > &values)
| Get Focal Spots. More...
virtual OFCondition | getFilterType (OFString &value, const signed long pos=0)
| Get Filter Type. More...
virtual OFCondition | getFilterMaterial (OFString &value, const signed long pos=0)
| Get Filter Material. More...
virtual OFCondition | getCalciumScoringMassFactorPatient (OFString &value, const signed long pos=0)
| Get Calcium Scoring Mass Factor Patient. More...
virtual OFCondition | getCalciumScoringMassFactorPatient (Float32 &value, const unsigned long pos=0)
| Get Calcium Scoring Mass Factor Patient. More...
virtual OFCondition | getCalciumScoringMassFactorDevice (OFString &value, const signed long pos=0)
| Get Calcium Scoring Mass Factor Device. More...
virtual OFCondition | getCalciumScoringMassFactorDevice (OFVector< Float64 > &values)
| Get Calcium Scoring Mass Factor Device. More...
virtual OFCondition | getEnergyWeightingFactor (OFString &value, const signed long pos=0)
| Get Energy Weighting Factor. More...
virtual OFCondition | getEnergyWeightingFactor (Float32 &value, const unsigned long pos=0)
| Get Energy Weighting Factor. More...
virtual OFCondition | setReferencedPathIndex (const OFVector< Uint16 > &values, const OFBool checkValues=OFTrue)
| Set Referenced Path Index. More...
virtual OFCondition | setKVP (const Float64 value, const OFBool checkValue=OFTrue)
| Set KVP. More...
virtual OFCondition | setFocalSpots (const OFVector< Float64 > &values, const OFBool checkValues=OFTrue)
| Set Focal Spots. More...
virtual OFCondition | setFilterType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Filter Type. More...
virtual OFCondition | setFilterMaterial (const OFString &value, const OFBool checkValue=OFTrue)
| Set Filter Material. More...
virtual OFCondition | setCalciumScoringMassFactorPatient (const Float32 value, const OFBool checkValue=OFTrue)
| Set Calcium Scoring Mass Factor Patient. More...
virtual OFCondition | setCalciumScoringMassFactorDevice (const OFVector< Float32 > &values, const OFBool checkValues=OFTrue)
| Set Calcium Scoring Mass Factor Device. More...
virtual OFCondition | setEnergyWeightingFactor (const Float32 value, const OFBool checkValue=OFTrue)
| Set Energy Weighting Factor. More...

## Private Attributes
DcmUnsignedShort | m_ReferencedPathIndex
| Referenced Path Index (US, VM 1-n, Required type 1C)
DcmDecimalString | m_KVP
| KVP (DS, 1, 1C)
DcmDecimalString | m_FocalSpots
| Focal Spots (FD, 1-n, 1C)
DcmShortString | m_FilterType
| Filter Type (SH, 1, 1C)
DcmCodeString | m_FilterMaterial
| Filter Material (CS, 1-n, 1C)
DcmFloatingPointSingle | m_CalciumScoringMassFactorPatient
| Calcium Scoring Mass Factor Patient (FL, 1, 3)
DcmFloatingPointSingle | m_CalciumScoringMassFactorDevice
| Calcium Scoring Mass Factor Device (FL, 3, 3)
DcmFloatingPointSingle | m_EnergyWeightingFactor
| Energy Weighting Factor (FD, 1, 1C)

## Detailed Description

Class representing the "CT X-Ray Details" Functional Group Macro.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::check | ( |  | ) | const
| virtual

Check whether the current content of this group is consistent and complete.

Returns
  EC_Normal, if no errors are found, error otherwise

## ◆ clone()

virtual FGCTXRayDetailsItem* FGCTXRayDetails::FGCTXRayDetailsItem::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

## ◆ compare()

virtual int FGCTXRayDetails::FGCTXRayDetailsItem::compare | ( | const FGCTXRayDetailsItem & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable.

This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

## ◆ getCalciumScoringMassFactorDevice() [1/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getCalciumScoringMassFactorDevice | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Calcium Scoring Mass Factor Device.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getCalciumScoringMassFactorDevice() [2/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getCalciumScoringMassFactorDevice | ( | OFVector< Float64 > & | values | ) |
| virtual

Get Calcium Scoring Mass Factor Device.

Parameters

  values | Reference to variable that should hold the result

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getCalciumScoringMassFactorPatient() [1/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getCalciumScoringMassFactorPatient | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Calcium Scoring Mass Factor Patient.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getCalciumScoringMassFactorPatient() [2/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getCalciumScoringMassFactorPatient | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Calcium Scoring Mass Factor Patient.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getEnergyWeightingFactor() [1/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getEnergyWeightingFactor | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Energy Weighting Factor.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getEnergyWeightingFactor() [2/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getEnergyWeightingFactor | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Energy Weighting Factor.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getFilterMaterial()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getFilterMaterial | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Filter Material.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getFilterType()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getFilterType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Filter Type.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getFocalSpots() [1/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getFocalSpots | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Focal Spots.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getFocalSpots() [2/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getFocalSpots | ( | OFVector< Float64 > & | values | ) |
| virtual

Get Focal Spots.

Parameters

  values | Reference to variable that should hold the result

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getKVP() [1/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getKVP | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get KVP.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getKVP() [2/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getKVP | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get KVP.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReferencedPathIndex() [1/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getReferencedPathIndex | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Referenced Path Index.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReferencedPathIndex() [2/2]

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::getReferencedPathIndex | ( | OFVector< Uint16 > & | values | ) |
| virtual

Get Referenced Path Index.

Parameters

  values | Reference to variable that should hold the result

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ read()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::read | ( | DcmItem & | item | ) |
| virtual

Read CT X-Ray Details Sequence item from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ setCalciumScoringMassFactorDevice()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::setCalciumScoringMassFactorDevice | ( | const OFVector< Float32 > & | values,
|  | const OFBool | checkValues = `OFTrue`
| ) |  |
| virtual

Set Calcium Scoring Mass Factor Device.

Parameters

  values | Values that should be set
  checkValues | If OFTrue, basic checks are performed whether the values are valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setCalciumScoringMassFactorPatient()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::setCalciumScoringMassFactorPatient | ( | const Float32 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Calcium Scoring Mass Factor Patient.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setEnergyWeightingFactor()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::setEnergyWeightingFactor | ( | const Float32 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Energy Weighting Factor.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setFilterMaterial()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::setFilterMaterial | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Filter Material.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setFilterType()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::setFilterType | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Filter Type.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setFocalSpots()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::setFocalSpots | ( | const OFVector< Float64 > & | values,
|  | const OFBool | checkValues = `OFTrue`
| ) |  |
| virtual

Set Focal Spots.

Parameters

  values | Values that should be set
  checkValues | If OFTrue, basic checks are performed whether the values are valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setKVP()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::setKVP | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set KVP.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setReferencedPathIndex()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::setReferencedPathIndex | ( | const OFVector< Uint16 > & | values,
|  | const OFBool | checkValues = `OFTrue`
| ) |  |
| virtual

Set Referenced Path Index.

Parameters

  values | Values that should be set
  checkValues | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ write()

virtual OFCondition FGCTXRayDetails::FGCTXRayDetailsItem::write | ( | DcmItem & | item | ) |
| virtual

Writes the content of this class into CT X-Ray Details Sequence item given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctxraydetails.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1